%define packname  BufferedMatrixMethods 

Name:             R-%{packname}
Version:          1.3.0
Release:          1%{?dist}
Summary:          Microarray Data related methods that utlize BufferedMatrix
Summary(fr):      Outils pour la manipulation des données de puces à ADN

Group:            Applications/Productivity 
License:          GPLv2+
URL:              http://bioconductor.org/packages/2.2/bioc/html/%{packname}.html
Source0:          http://bioconductor.org/packages/2.2/bioc/src/contrib/%{packname}_%{version}.tar.gz
Patch0:           %{packname}-%{version}-path.patch
Patch1:           %{packname}-%{version}-path.patch2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   R
Requires(postun): R
Requires:         R-BufferedMatrix  
BuildRequires:    R-devel R-BufferedMatrix-devel tetex-latex 

%description
Microarray analysis methods that use BufferedMatrix objects

%description -l fr
Outils d'analyse de puce à ADN basé sur la manipulation des tables 
des bibliothèques BufferedMatrix

%prep
%setup -c -q -n %{packname}
%patch0 -p0
%patch1 -p0
%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/help


%changelog
* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 1.3.0-1
- Update to bioconductor 2.1 

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-5
- Change in the license tag
* Tue Jul 17 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-4
- Add the Requires(post) and Requires(postun) sections
* Sun Jul 15 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-3
- Add R-BufferedMatrixMethods-devel in the BR section
- Clean the files section
* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-2
- Add the requires section
* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.0.0-1 
- initial package for Fedora

